%define oname		xklavier

%define major		16
%define gmajor		1.0
%define libname		%mklibname %{oname} %{major}
%define develname	%mklibname %{oname} -d
%define girname		%mklibname %{oname}-gir %{gmajor}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		libxklavier
Summary:	X Keyboard support library
Version:	5.4
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
Url:		http://gswitchit.sourceforge.net/
#Source:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# (ngompa): The source moved, for now...
Source:		http://people.freedesktop.org/~svu/%{name}-%{version}.tar.bz2
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(xkbfile)
BuildRequires:	pkgconfig(iso-codes)

%description
This library allows you simplify XKB-related development.

%package -n %{libname}
Summary:	X Keyboard support library
Group:		System/Libraries
Requires:	iso-codes

%description -n %{libname}
This library allows you simplify XKB-related development.

%package -n %{develname}
Summary:	Libraries, includes, etc to develop libxklavier applications
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	%{_lib}xklavier8-devel
Obsoletes:	%{_lib}xklavier11-devel
Obsoletes:	%{_lib}xklavier-static-devel < 5.1-2

%description  -n %{develname}
Libraries, include files, etc you can use to develop libxklavier
applications.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--with-xkb-base=%{_datadir}/X11/xkb/ \
	--with-xkb-bin-base=%{_bindir}/ \
	--enable-introspection=yes
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%license COPYING.LIB
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/libxklavier/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_includedir}/*
%{_datadir}/gir-1.0/Xkl-%{gmajor}.gir

%files -n %{girname}
%{_libdir}/girepository-1.0/Xkl-%{gmajor}.typelib


%changelog
* Fri May 06 2016 ngompa <ngompa> 5.4-1.mga6
+ Revision: 1009676
- Update to 5.4

* Mon Feb 15 2016 umeabot <umeabot> 5.3-9.mga6
+ Revision: 961241
- Mageia 6 Mass Rebuild

* Sun Nov 08 2015 pterjan <pterjan> 5.3-8.mga6
+ Revision: 899080
- Fix BuildRequires

* Mon Jun 29 2015 wally <wally> 5.3-7.mga6
+ Revision: 847746
- add requires for gir pkg to devel pkg

* Wed Oct 15 2014 umeabot <umeabot> 5.3-6.mga5
+ Revision: 745475
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 5.3-5.mga5
+ Revision: 724936
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 5.3-4.mga5
+ Revision: 681887
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 5.3-3.mga4
+ Revision: 507496
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 5.3-2.mga3
+ Revision: 358618
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 24 2012 fwang <fwang> 5.3-1.mga3
+ Revision: 296954
- new version 5.3

* Thu Feb 16 2012 fwang <fwang> 5.2.1-1.mga2
+ Revision: 209580
- new version 5.2.1

* Wed Jan 18 2012 wally <wally> 5.2-1.mga2
+ Revision: 197934
- new version 5.2
- enable introspection
- clean .spec

* Mon Oct 17 2011 wally <wally> 5.1-2.mga2
+ Revision: 155821
- disable static build
- get rid of .la files

* Wed Jun 08 2011 dmorgan <dmorgan> 5.1-1.mga2
+ Revision: 101698
- New version 5.1

* Sat Jan 15 2011 mikala <mikala> 5.0-3.mga1
+ Revision: 19229
- Remove mdk macros
- Remove BuildRoot
- imported package libxklavier

